/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { BaseComponent } from '../base.component';
import { Locator, Page } from '@playwright/test';
export declare class AdfLibraryDialogComponent extends BaseComponent {
    private static rootElement;
    createButton: Locator;
    cancelButton: Locator;
    constructor(page: Page);
    getLabelText: (text: string) => Locator;
    getRequiredMarker: (text: string) => Locator;
    getDialogTitle: (text: string) => Locator;
    getErrorByText: (text: string) => Locator;
    /**
     * This method is used when we want to fill in Create Library Dialog and choose Create button
     *
     * @param nameInput input for the Name field
     * @param libraryIdInput input for Library ID field
     * @param descriptionInput input for Description field
     * @param visibility visibility of the library
     */
    createLibraryWithNameAndId(nameInput: string, libraryIdInput: string, descriptionInput?: string, visibility?: string): Promise<void>;
    isErrorMessageDisplayed(errorText: string): Promise<boolean>;
}
